Page MenuHomePhabricator

Create a local job class that enqueues jobs to final location
Closed, ResolvedPublic

Description

This is useful for any updates that happen by just viewing pages. Putting them into a local queue (in batch, even with mixed job types) is fast. The local queue would have local runners to push them into the master datacenter.

Event Timeline

aaron created this task.Feb 12 2015, 12:23 AM
aaron updated the task description. (Show Details)
aaron raised the priority of this task from to Normal.
aaron claimed this task.
aaron added subscribers: PleaseStand, gerritbot, bd808 and 2 others.
bd808 removed a project: Epic.Feb 13 2015, 3:57 PM
bd808 set Security to None.
aaron renamed this task from Create a local jobqueue class that enqueues jobs to final location to Create a local job class that enqueues jobs to final location.Mar 4 2015, 9:51 PM

Change 194394 had a related patch set uploaded (by Aaron Schulz):
Added EnqueueJob class that handles routing jobs to queues

https://gerrit.wikimedia.org/r/194394

Change 194394 merged by jenkins-bot:
Added EnqueueJob class that handles routing jobs to queues

https://gerrit.wikimedia.org/r/194394

aaron closed this task as Resolved.Mar 6 2015, 9:44 PM
bd808 moved this task from Backlog to Done on the MediaWiki-Core-Team board.Mar 7 2015, 12:54 AM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Mar 9 2015, 9:14 PM